Package Details: cataclysm-dda-git 0.D.2019.03.29-1

Git Clone URL: https://aur.archlinux.org/cataclysm-dda-git.git (read-only)
Package Base: cataclysm-dda-git
Description: A post-apocalyptic roguelike.
Upstream URL: https://cataclysmdda.org/
Licenses: CCPL:by-sa
Conflicts: cataclysm-dda, cataclysm-dda-ncurses, cataclysm-dda-tiles
Submitter: Ferk
Maintainer: keenerd
Last Packager: keenerd
Votes: 36
Popularity: 0.182196
First Submitted: 2013-11-23 17:41
Last Updated: 2019-03-30 03:38

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

keenerd commented on 2016-03-12 20:54

Looks like they fixed the Lua51 weirdness.

FredBezies commented on 2016-03-01 10:41

I get it build.

version : cataclysm-dda-git 0.C.2016.03.01-1


FredBezies commented on 2016-03-01 09:55

@snacksicles : try replacing lua51 by lua. Building starts. Will report if it goes well... Or not :)

Snacksicles commented on 2016-02-29 23:07

cd src/lua && lua generate_bindings.lua
/bin/sh: lua: command not found
Makefile:583: recipe for target 'src/lua/catabindings.cpp' failed
make: *** [src/lua/catabindings.cpp] Error 127
==> ERROR: A failure occurred in build().
Aborting...

Bugger.

keenerd commented on 2015-11-20 18:03

Fixing this up to match the cataclysm-dda package in community.

FredBezies commented on 2015-11-17 14:18

It is too hard to maintain for now. Feel free to adopt it.

TingPing commented on 2015-10-25 19:04

Made a less broken version if anybody is interested - https://aur.archlinux.org/packages/cataclysm-dda-sdl-git/

It is sdl only but could easily be modified if one wanted ncurses.

Ram-Z commented on 2015-05-23 01:06

Just to let you know that this now has the 'USE_XDG_DIR' make option if you whish to follow the XDG specs.

@hickop: I see your issue is still not resolved: I maintain a working PKGBUILD on CCR:
http://chakraos.org/ccr/packages.php?ID=7201

@gileri: it is assumed that 'base-devel' is installed when using makepkg, so any pkg of that group should not be added to 'makedepends=()'
https://wiki.archlinux.org/index.php/Pkgbuild#makedepends

gileri commented on 2015-04-25 21:16

Missing gcc as a makedepend.

cyrilccros commented on 2015-04-15 10:41

I am going to use Ferk package, I think.
If you want this specific package build to work, you need to edit the build function.
build(){
cd "$_gitname/src" # Change to correct directory with C++ source files
sed ...... # Same as package
cd .. # Get back to the base directory which contains the makefile
make PREFIX=/usr
}